Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.util.xml
Class XmlUtils

    java.lang.Object
      |
      +--oracle.soap.util.xml.XmlUtils

public class XmlUtils
extends java.lang.Object

Constructor Summary
`XmlUtils()`

Method Summary
`static Document` | `createDocument()` Create a Document
`static void` | `dumpDOM(Document doc, java.lang.StringBuffer buf)`
`static java.lang.String` | `extractMethodName(Envelope envelope)` Get the method name from the envelope.
`static java.lang.String` | `extractServiceId(Envelope envelope)` Get the service id from the envelope.
`static Document` | `parseXml(java.io.InputStream is)` Parse the contents of the XML InputStream and return the XML document.
`static Document` | `parseXml(java.io.Reader reader)` Parse the given XML source and return the XML document.
`static Document` | `parseXml(java.lang.String filename)` Parse the given XML file and return the XML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlUtils

    public XmlUtils()

Method Detail

### extractServiceId

    public static java.lang.String extractServiceId(Envelope envelope)
                                             throws SOAPException

  Get the service id from the envelope. It is the namespace URI of the first body entry.
  Throws:
    `SOAPException` - Unable to get service URI from envelope.

### extractMethodName

    public static java.lang.String extractMethodName(Envelope envelope)
                                              throws SOAPException

  Get the method name from the envelope. It is the name of the first body entry.
  Throws:
    `SOAPException` - Unable to get method name from envelope.

### dumpDOM

    public static void dumpDOM(Document doc,
                               java.lang.StringBuffer buf)

### parseXml

    public static Document parseXml(java.lang.String filename)
                             throws SOAPException

  Parse the given XML file and return the XML document.
  Parameters:
    `filename` - The full path to the XML file.
  Throws:
    `SOAPException` - File not found or parse error.

### parseXml

    public static Document parseXml(java.io.Reader reader)
                             throws SOAPException

  Parse the given XML source and return the XML document.
  Parameters:
    `reader` - Reader for XML
  Throws:
    `SOAPException` - File not found or parse error.

### parseXml

    public static Document parseXml(java.io.InputStream is)
                             throws SOAPException

  Parse the contents of the XML InputStream and return the XML document.
  Parameters:
    `is` - input stream source
  Throws:
    `SOAPException` - if there are parse errors or IO errors

### createDocument

    public static Document createDocument()
                                   throws SOAPException

  Create a Document
  Throws:
    `SOAPException` - Cannot create document.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.